GetDocumentsTester
Date: 2016-02-09

org.gcube.informationsystem.collector.stubs.testsuite.wsdaix

## Class GetDocumentsTester

- java.lang.Object
- - org.gcube.informationsystem.collector.stubs.testsuite.wsdaix.GetDocumentsTester

-     public class GetDocumentsTester
      extends java.lang.Object

  Tester for XMLCollectionAccess::getDocuments
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetDocumentsTester()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetDocumentsResponse` | `getDocuments(java.lang.String serviceURL, GCUBEScope scope, org.apache.axis.types.URI resourceName, org.apache.axis.types.URI collectionURI, java.lang.String[] documentNames)` Executes the GetDocuments operation.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetDocumentsTester

          public GetDocumentsTester()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - 0 - host 1 - port 2 - scope 3 - collection 4 - document name

    - #### getDocuments

          public static GetDocumentsResponse getDocuments(java.lang.String serviceURL,
                                          GCUBEScope scope,
                                          org.apache.axis.types.URI resourceName,
                                          org.apache.axis.types.URI collectionURI,
                                          java.lang.String[] documentNames)
                                                   throws DataResourceUnavailableFaultType,
                                                          java.net.MalformedURLException,
                                                          java.rmi.RemoteException,
                                                          ServiceBusyFaultType,
                                                          InvalidResourceNameFaultType,
                                                          InvalidCollectionNameFaultType,
                                                          NotAuthorizedFaultType

      Executes the GetDocuments operation.
      Parameters:
        `serviceURL` - The URL of the data service
        `resourceName` - The abstract name of the data resource
        `documentNames` - An array of document names to be retrieved
      Throws:
        `DataResourceUnavailableFaultType`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`
        `ServiceBusyFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`
        `NotAuthorizedFaultType`